#box1{
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 1px solid black;
	background-color:  orange;
	margin-right: 30px;
	display: inline-block;
	vertical-align: top;
	box-sizing: border-box;
}


/*

  without box-sizing :border-box

  the exact width of our element : 252px;

  1px left border + 50px left padding + 150px width +50px right padding +1px right border = 252px


  with box-sizing:  border-box;

  the exact width of our element: 150x;
  Border and padding are included in the total width 
  1px left border + 50px left padding + 48px context width +50px rigth padding +1px right border = 150px

  padding - space within an element

 margin - is the 
*/

#box2{
	height: 150px;
	width: 150px;
	border: 1px solid black;
	background-color: yellow;
	display: inline-block;
}

span {
	height: 150px;
	width: 150px;
	border: 1px solid black;
	display: inline-block;
}

*{
	/* Zeroes all margins and paddings of our elements because by default , elements are being added margins and paddings by browser 

  box-sizing border-box, to accurately measure our element, that padding and border are not added on top of the elements width
	*/
	margin: 0;
	padding: 0;
}

/*css Review*/

html {
	font-size: 5px;
}

#nestedDiv{

	/*rem : root element- a measurement based the fontsize of the root element(HTML)*/
	height: 2em;
	width: 2em;
	border: 1px solid red;
	position: relative;
	left: 33%;
	right: 33%;
}